<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>NullItemCategoryRegistry (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NullItemCategoryRegistry (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/registry/NullEntityRegistry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/registry/PassthroughBlockMaterial.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/NullItemCategoryRegistry.html" target="_top">Frames</a></li>
<li><a href="NullItemCategoryRegistry.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world.registry</div>
<h2 title="Class NullItemCategoryRegistry" class="title">Class NullItemCategoryRegistry</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.world.registry.NullItemCategoryRegistry</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/world/registry/CategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">CategoryRegistry</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&gt;, <a href="../../../../../com/sk89q/worldedit/world/registry/ItemCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">ItemCategoryRegistry</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">NullItemCategoryRegistry</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/world/registry/ItemCategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">ItemCategoryRegistry</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/NullItemCategoryRegistry.html#NullItemCategoryRegistry--">NullItemCategoryRegistry</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/NullItemCategoryRegistry.html#getAll-com.sk89q.worldedit.registry.Category-">getAll</a></span>(<a href="../../../../../com/sk89q/worldedit/registry/Category.html" title="class in com.sk89q.worldedit.registry">Category</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&gt;&nbsp;category)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;<a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/registry/NullItemCategoryRegistry.html#getCategorisedByName-java.lang.String-">getCategorisedByName</a></span>(java.lang.String&nbsp;category)</code>
<div class="block">Gets a set of values with a given category.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="NullItemCategoryRegistry--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>NullItemCategoryRegistry</h4>
<pre>public&nbsp;NullItemCategoryRegistry()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCategorisedByName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCategorisedByName</h4>
<pre>public&nbsp;java.util.Set&lt;<a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&gt;&nbsp;getCategorisedByName(java.lang.String&nbsp;category)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/registry/CategoryRegistry.html#getCategorisedByName-java.lang.String-">CategoryRegistry</a></code></span></div>
<div class="block">Gets a set of values with a given category.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/registry/CategoryRegistry.html#getCategorisedByName-java.lang.String-">getCategorisedByName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/registry/CategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">CategoryRegistry</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>category</code> - The category</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A set of values</dd>
</dl>
</li>
</ul>
<a name="getAll-com.sk89q.worldedit.registry.Category-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAll</h4>
<pre>public&nbsp;java.util.Set&lt;<a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&gt;&nbsp;getAll(<a href="../../../../../com/sk89q/worldedit/registry/Category.html" title="class in com.sk89q.worldedit.registry">Category</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&gt;&nbsp;category)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/registry/CategoryRegistry.html#getAll-com.sk89q.worldedit.registry.Category-">getAll</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/registry/CategoryRegistry.html" title="interface in com.sk89q.worldedit.world.registry">CategoryRegistry</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/item/ItemType.html" title="class in com.sk89q.worldedit.world.item">ItemType</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/registry/NullEntityRegistry.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/registry/PassthroughBlockMaterial.html" title="class in com.sk89q.worldedit.world.registry"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/registry/NullItemCategoryRegistry.html" target="_top">Frames</a></li>
<li><a href="NullItemCategoryRegistry.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
